Bug 175523 - fstab-sync crashes determining if a partition is mounted
Summary: fstab-sync crashes determining if a partition is mounted
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: hal   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: 192410 198868
TreeView+ depends on / blocked
 
Reported: 2005-12-12 09:30 UTC by Bastien Nocera
Modified: 2018-10-19 18:59 UTC (History)
2 users (show)

Fixed In Version: RHBA-2007-0198
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 17:34:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hal-is-mounted-crasher.patch (316 bytes, patch)
2005-12-12 09:30 UTC, Bastien Nocera
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0198 normal SHIPPED_LIVE hal bug fix update 2007-05-01 17:34:07 UTC

Description Bastien Nocera 2005-12-12 09:30:14 UTC
file is not initialised to NULL in fs_table_line_is_mounted() but compared with
NULL later on. Patch attached.

Comment 1 Bastien Nocera 2005-12-12 09:30:15 UTC
Created attachment 122125 [details]
hal-is-mounted-crasher.patch

Comment 2 John (J5) Palmieri 2005-12-12 13:54:23 UTC
Let me talk to Ed to see if we can get this into U4 with the other fstab-sync
crasher. But it might be too late.

Comment 7 RHEL Product and Program Management 2006-07-21 16:43:53 UTC
Quality Engineering Management has reviewed and declined this request.  You may appeal this decision by reopening this request.

Comment 8 Keiichi Mori 2006-07-22 00:39:32 UTC
This issue does not happen by default. But it happens whenever debug option is set.
This may prevent us from investigating further. Fix patch is very simple
(comment#1), and test case is available (comment#6). Please pick up this to 4.5,
if hal package is addressed to RHEL4.5.



Comment 11 RHEL Product and Program Management 2006-08-18 16:52:32 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 15 Bastien Nocera 2007-01-24 11:50:56 UTC
Built in hal-0.4.2-6.EL4

Comment 19 Red Hat Bugzilla 2007-05-01 17:34:55 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0198.html



Note You need to log in before you can comment on or make changes to this bug.